package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.OrderPayRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrderPayRecordMapper {
    int deleteByPrimaryKey(Integer id);

    // int insert(OrderPayRecord record);

    // int insertSelective(OrderPayRecord record);

    OrderPayRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(OrderPayRecord record);

    int updateByPrimaryKey(OrderPayRecord record);

	int batchInsert(@Param("payRecordList") List<OrderPayRecord> payRecordList);

	List<OrderPayRecord> getOrderPayRecordList(@Param("orderCode") String orderCode);
}